interfaces Library: KTextEditor::Document Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::Document Class Reference

The main class representing a text document. More...

`#include <document.h>`

Inheritance diagram for KTextEditor::Document:

[legend]
Collaboration diagram for KTextEditor::Document:

[legend]
List of all members.

## Public Member Functions
| Document (QObject *parent=0, const char *name=0)
unsigned int | documentNumber () const
QCString | documentDCOPSuffix () const
virtual class View * | createView (QWidget *parent, const char *name=0)=0
virtual QPtrList< class View > | views () const =0
## Friends
class | PrivateDocument

## Detailed Description

The main class representing a text document.

This class provides access to the document's views.

Definition at line 31 of file document.h.

## Member Function Documentation

unsigned int Document::documentNumber | ( |  | ) | const

| Returns the global number of this document in your app. Definition at line 119 of file ktexteditor.cpp. Referenced by documentDCOPSuffix().

QCString Document::documentDCOPSuffix | ( |  | ) | const

| Returns this document's DCOP suffix for identifiying its DCOP interface. Definition at line 124 of file ktexteditor.cpp. References documentNumber(), and QCString::setNum().

virtual class View* KTextEditor::Document::createView | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) | `[pure virtual]`

| Create a view that will display the document data. You can create as many views as you like. When the user modifies data in one view then all other views will be updated as well.

The documentation for this class was generated from the following files:

- document.h
- ktexteditor.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003